Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update Sonarr to v3 #3803

Merged
merged 7 commits into from Mar 29, 2021
Merged

Update Sonarr to v3 #3803

merged 7 commits into from Mar 29, 2021

Conversation

maxrogers
Copy link
Contributor

@maxrogers maxrogers commented Nov 12, 2019

Checklist

  • Build rule all-supported completed successfully
  • Package upgrade completed successfully
  • New installation of package completed successfully

I just did a successful upgrade from Sonarr v2 to this package (v3) with no issues. It would be great to get a few experienced users to test and share their success/results going from v2 to v3 with this package. @Safihre can you make packages for people to test with? Thank you!

Motivation: To add a v3 Sonarr package
Reference: #3518 (comment)

@Fringe09
Copy link

I would like to test. Not sure how to access the package.

@maxrogers
Copy link
Contributor Author

@Fringe09, @Safihre is planning to compile for all of the packages and then post them here (he has a TravisCI pipeline set up.) As soon as he does that you can download and test.

@Safihre
Copy link
Contributor

Safihre commented Nov 22, 2019

So sorry I didn't see this last week! To the build machine! 🤖 🖥

The releases can be downloaded here:
https://github.com/Safihre/spksrc/releases/tag/sonarr-v3-build
To see which version you need:
https://github.com/SynoCommunity/spksrc/wiki/Architecture-per-Synology-model (Models that have (x64) listed can use the general x64 testing packages)

I've only uploaded the packages, in case of problems please report them here so @maxrogers can look at them 👍

@maxrogers
Copy link
Contributor Author

Thanks @Safihre

@Fringe09
Copy link

I have never updated Sonarr via spk file before. Will this package detect v2x and upgrade to v3x automatically?

@maxrogers
Copy link
Contributor Author

maxrogers commented Nov 22, 2019

@Fringe09, yes it should do just that. Complete a manual backup via Sonarr web-interface (and download a copy) before attempting (just in case.)

@M3rofio
Copy link

M3rofio commented Nov 23, 2019

hi @Safihre
i have Synology DS3617xs - synology_broadwell_3617xs DSM V 6.2.2
installed Sonarr V2 want to update to v3
i cant find the correct build https://github.com/Safihre/spksrc/releases/tag/sonarr-v3-build

@maxrogers
Copy link
Contributor Author

@M3rofio

nzbdrone_x64-6.1_20191122-16.spk

https://github.com/SynoCommunity/spksrc/wiki/Architecture-per-Synology-model (Models that have (x64) listed can use the general x64 testing packages)

@epheterson
Copy link

Wanted to chime in that I updated to v3 with the "nzbdrone_x64-6.1_20191122-16.spk" package on my Synology DS415+ and everything went smooth as butter! Thanks so much :)

Copy link
Contributor

@ymartin59 ymartin59 left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Some improvement proposals

spk/sonarr/Makefile Outdated Show resolved Hide resolved
spk/sonarr/Makefile Show resolved Hide resolved
@TimeBomb
Copy link

TimeBomb commented Dec 5, 2019

Wanted to mention I used nzbdrone_x64-6.1_20191122-16.spk to upgrade Sonarr on my Synology DS1019+ and it worked perfectly. All preexisting content is still visible, and downloading new content works as expected. Thanks!

Copy link
Contributor

@ymartin59 ymartin59 left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Thanks @maxrogers
May you please investigate if it may be possible to rename package with comfort for users?

@maxrogers
Copy link
Contributor Author

@ymartin59 Yes, I will look into this as soon as I have some free time.

@maxrogers
Copy link
Contributor Author

maxrogers commented Dec 10, 2019

@ymartin59 I have made a package that successfully upgrades while also renaming from nzbdrone to sonarr. However, the method is too crude and I do not think it is worth doing it just to change the internal naming of the package (from nzbdrone). It opens some potential install issues and I do not think is wise to do for a change that is transparent to the users (only to us).

For example:
It seems that the installer does not allow enough privilege to stop or uninstall via the synopkg utility.

Here are the errors that I get when trying both:

synopkg stop nzbdrone
Failed to stop package 275
synopkg uninstall nzbdrone
Failed to uninstall package: nzbdrone, 275

I tried adding sudo with no luck. I assume synology does not allow the utility to be used during an install... Both commands work great via command line (as root)

Because the installer does not allow us to use synopkg during an install we have to manually kill processes and then manually delete the package from /var/packages/ and @appstore.

Additionally, the package installs as a new install (not an upgrade) therefore to keep the same port number we have to install the package with a different port number and then modify three files to use the correct port number. In addition, there are a few other issues that require adding more complexity to service-setup.sh to address the issue of introduced by performing upgrade tasks in the install portion (due to the package installing as a new install not an upgrade).

NOTE: I also attempted to do the package name change via an upgrade of the nzbdrone package. However, that method introduces potential user permission issues and will also require a second follow-up package to fully rename the package to sonarr from nzbdrone. With a second package, we have no method to ensure that the users install the first before the second...

@Idus
Copy link

Idus commented Dec 14, 2019

Stumbled upon this, since I had issues with v2. So, just did the update on my DS918+ with the "generic x64"-package - worked like a charm! Asked for an extra minor update - and then just got to work. Thanx!

While I am at it - am I missing that there is a Radarr v.3 lurking on github somewhere as well? Could not find any when I searched?

Kudos to all you guys who have the skills (and time) to do this!

@Safihre
Copy link
Contributor

Safihre commented Dec 26, 2019

@maxrogers Thanks for looking into this. But now how to proceed? Seems we have to wait for Sonarr to officially stop with V2 before we can push this package, since it will replace the V2 package.
Maybe we can ask the Sonarr (@Taloth/@markus101) to link from their downloads-page (https://sonarr.tv/#downloads-v3-nas) to this PR for users that want to install the test-packages? I updated the starting post with big instructions.

@maxrogers
Copy link
Contributor Author

@Safihre I think that sounds like the best plan.

While v3 is still considered beta sonarr.tv can link to the v3 packages you have posted. As soon as v3 is no longer considered beta, then we can publish to the repo.

That all seems very reasonable to me. Thanks!

@Adelscott
Copy link

Thanks a lot guys, was struggling with V2 and language filter problems. Found this. Migration worked like a charm on DS713+ !

@Chrisophogus
Copy link

Any tips for getting this version to function fully on an RTD1296 processor?
Unable to connect to Skyhook etc. to import show info. As far as I can ascertain this is due to Mono but I can't see a way to get around this. Found a couple of threads here with fixes but they were inconclusive and from quite a while ago.

@ta264
Copy link
Contributor

ta264 commented Apr 2, 2021

Mono 5.20 is broken on rtd1296. Apparently 5.8 might work, or you can sideload docker and work around it that way. It won't be long before minimum Sonarr mono version is 5.20 :/

@wkobiela
Copy link
Contributor

wkobiela commented Apr 2, 2021

@Chrisophogus try 5.8 from here
But if You cant use docker like myself, Sonarr will stop working sooner or later.

@ta264
Copy link
Contributor

ta264 commented Apr 2, 2021

If you're feeling brave you can install docker with these instructions https://wiki.servarr.com/Docker_ARM_Synology

@Chrisophogus
Copy link

Thanks both for the pointers. Rolling back to Mono 5.8 was the immediate fix. I think the long term is going to be the docker solution. Thanks again for that link, an actual easy to understand process to install Docker on this thing.

@publicarray
Copy link
Member

@Wuszek @houndtt @ta264 I've created a wiki entry since this has come up a lot: https://github.com/SynoCommunity/spksrc/wiki/Radarr-Sonarr-Lidarr-Jackett. Would you mind updating it with the package versions that work for you or anything else that could help users or has been repeated here elsewhere? Thanks

@wkobiela
Copy link
Contributor

wkobiela commented Apr 3, 2021

@publicarray sure.
Actually I'm running rtd1296 (armv8) on DS218 and Radarr .NET core version works like a charm. The same with Jackett .NET and Lidarr .NET (i'm not using Lidarr on daily basis, just downloaded and installed for tests).

In case of Sonarr, that still requires mono in v3, (at least for now), indeed I need to use mono v5.8, because there is some bug related with https/ssl certificate in newer versions, if I can remember correctly.

publicarray added a commit to publicarray/spksrc that referenced this pull request Apr 8, 2021
* Update Sonarr to v3-stable

* Sonarr: remove busybox

* Sonarr: fix file doesn't exists and file exists errors

* Add https

Co-authored-by: Sebastian Schmidt <publicarray@users.noreply.github.com>

* change to PKG_NAME

Co-authored-by: hgy59 <hpgy59@gmail.com>

* Sonarr: Smooth migration from nzbdrone
Framework: add install_replace_packages, install_break_packages and checkport

Note: In the future (DSM7) prereplace and postreplace scrips should be used instead

* Revert "Sonarr: Smooth migration from nzbdrone"

This reverts commit 4d88fa9.

Co-authored-by: Sebastian Schmidt <publicarray@users.noreply.github.com>
Co-authored-by: hgy59 <hpgy59@gmail.com>
@GandulfM
Copy link

GandulfM commented Apr 10, 2021

@ Christophogus @Wuzek
I did the same on my DS418 a few weeks ago and it worked fine, BUT since a few days Sonarr stopped working again with Mono 5.8. It cannot contact the indexer NZBgeek anymore. Wonder if it still works for you?

@timrettop
Copy link
Contributor

@GandulfM Sonarr phantom branch latest update works fine with NZBGeek for me on DS420j with Mono 5.8. I just have the general error that 5.8 is not supported.

@bakerboy448
Copy link

Sonarr phantom is dead and out of date. Two main versions have been released since phantom was killed

@timrettop
Copy link
Contributor

timrettop commented Apr 11, 2021 via email

@timrettop
Copy link
Contributor

Oh but I've been updating via the Sonarr UI, haven't updated via DSM in a while.

@tvdbergh
Copy link

I've been trying to update to Sonarr v3 but just noticed the new package doesn't support the evansport architecture of my DS214Play. Just wondering if my NAS is too old and not supported anymore? (Radarr v3 does does still seem to be supported)

@GandulfM
Copy link

This is what i just did for my DS418:
Here you find the architecture of your Synology: https://github.com/SynoCommunity/spksrc/wiki/Architecture-per-Synology-model
Then find the Mono version here: https://synocommunity.com/package/mono
And for Sonarr: https://github.com/Safihre/spksrc/releases/tag/sonarr-v3-build
I took the mono 5.8 and found the Sonarr version is not the newest, but installed anyway. However get warnings to update, but Sonarr is running now!

@origami-army
Copy link

bit stuck with the new update to Sonarr V3 on my DS218play - RTD1296 processor.
Had Sonarr v2 with mono 5.8 and seemed to work with indexers (did encounter the bug with 5.20 few months back and had to revert)

  • Radarr updated to V3 and seemed to work well with mono 5.8
  • Wanted to try Sonarr V3 and updated - indexers stopped working unfortunately - thought it was related to mono 5.8 so updated to 5.20 but now still stuck with errors connecting:

[v3.0.5.1144] System.Net.WebException: Error: TrustFailure (One or more errors occurred.): 'https://drunkenslug.com/api?t=caps&apikey=(removed) ---> System.Net.WebException: Error: TrustFailure (One or more errors occurred.) ---> System.AggregateException: One or more errors occurred. ---> System.Security.Authentication.AuthenticationException: A call to SSPI failed, see inner exception. --->

anyone have any ideas or dealing with similar issue?

@Chrisophogus
Copy link

Chrisophogus commented Apr 14, 2021 via email

@origami-army
Copy link

Hmm - was having issue with V3 & 5.8 mono prior to updating but I'll try reverting again. Do you know of a way of doing this without uninstalling Sonarr?

@wkobiela
Copy link
Contributor

Download last backup from Sonarr (zip package by ssh if you can't download it from web Sonarr interface), reinstall packages and upload backup

@origami-army
Copy link

Wow that was unexpected - thanks for the help, resolved now. Reinstalling with mono 5.8 (even though I was originally on 5.8 when it first stopped working) allowed indexers to work again. Restore now doesn't require SSH to upload so was able to do it seamlessly from the Sonarr settings

@GandulfM
Copy link

GandulfM commented Apr 14, 2021

Hi guys,
Anybody having problems with Sonarr on their Synology NAS I advice to follow up on my post of 3 days ago.
The various architectures of Synology NASes make that not all NASes can work with the Mono and Sonarr packages advised by Package Center, like my DS418 with rtd1296 (armv8) architecture.
So, if problems with Sonarr, first:

I advice to download the 5.8 version to your computer and then manually install to your Synology.

And download to your computer and manually install this version.

  • Ignore advises to update Mono and Sonarr to latest versions.

I understand from #3803 (comment) they are working on a version of Sonarr that doesn't need Mono to run, like already is the case with Radarr.
Probably end of this year with DSM v7?
Good luck all!

@publicarray
Copy link
Member

publicarray commented Apr 15, 2021

Thanks for the information @GandulfM. We do have a wiki entry, and you are welcome to add to it: https://github.com/SynoCommunity/spksrc/wiki/Radarr-Sonarr-Lidarr-Jackett

@GandulfM
Copy link

GandulfM commented Apr 15, 2021

Thanks for the information @GandulfM. We do have a wiki entry, and you are welcome to add to it: https://github.com/SynoCommunity/spksrc/wiki/Radarr-Sonarr-Lidarr-Jackett

@publicarray, for my DS418 I manually installed https://github.com/Safihre/spksrc/releases/download/sonarr-v3-build/nzbdrone_rtd1296-6.1_20201116-19.spk
It worked fine for 5 days, but today, when I open Sonarr I get a blank page with:
Object reference not set to an instance of an object
Version 3.0.3.750
So Sonarr stopped again.
Of course i have mono 5.8 installed too.

However, after a restart of my diskstation Sonarr was running again!

Edit: Today, after checking dates and times, it appeared Sonarr had not stopped running but just only the interface. A restart of my diskstation made the interface visible again.

@Segelfeldt
Copy link

I get the problem that Sonarr and radar says

{
  "message": "NotFound"
}

The services is stopped and when i try to start it its gets backed to stopped state.

Tried to follow @GandulfM steps above but when I am trying to roll back but when i manually install Mono it says current package version is 5.20.1.34-16. You cannot roll back to the older version 5.8.0.108-11. I am unable to uninstall Mono since it says Sonarr and Radarr is dependent on it. How do i solve this?

I noticed some say i can download the backup file, i were considering doing that and moving do Docker but were can i find the backup files for Sonarr and Radarr?

@GandulfM
Copy link

GandulfM commented May 8, 2021

What you need to do is uninstalling Mono, Sonarr and Radarr.
Then manually install Mono 5.8, Sonarr for your architecture and Radarr, as described above #3803 (comment)

@Segelfeldt
Copy link

What you need to do is uninstalling Mono, Sonarr and Radarr.
Then manually install Mono 5.8, Sonarr for your architecture and Radarr, as described above #3803 (comment)

Do i need to take a backup first? If so how? or will the data remain on my drives even if i uninstall and when i reinstall they will use the data that is already there?

@GandulfM
Copy link

GandulfM commented May 8, 2021

@Segelfeldt
It's always been advised to make a backup, but I didn't; what's the use of a backup that doesn't work?
However, you may want to copy the api key from your indexer and a list of wanted videos, like I did.
Also, the latest version of Radarr doesn't use Mono, so possibly an upgrade suffices and just uninstall Mono and Sonarr.
My DS418 now runs perfectly for a month with Mono 5.8 and appropriate Sonarr version for it's architecture. For Radarr i have the latest version from Package Center.
Good luck!

@Safihre
Copy link
Contributor

Safihre commented May 8, 2021

I'm locking this issue, this is not the place (anymore) for instructions how to get it running.

@SynoCommunity SynoCommunity locked as off-topic and limited conversation to collaborators May 8, 2021
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
status/published Published and activated (may take up to 48h until visible in DSM package manager)
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet